      program main
        interface
          character(5) function char_func (ch)
            character(5), intent(in) :: ch
          end function
        end interface

        character(5) c, d

        d = "abcde"
        c = char_func (d)

        print *, "/", c, "/"    ! Output should be "/abcde/"
      end program
